from cs50 import SQL
from flask import Flask, render_template, request

app = Flask(__name__)

db = SQL("sqlite:///vote.db")

@app.route("/")
def index():

    # Get all options
    options = db.execute("SELECT * FROM options")

    # Render voting page
    return render_template("index.html", options=options)

@app.route("/vote", methods=["POST"])
def vote():

    # Query database for choice
    choice = request.form.get("choice")
    option = db.execute("SELECT * FROM options WHERE name = ?", choice)

    # Determine how many votes choice has
    votes = option[0]["votes"]

    # Increment number of votes
    db.execute("UPDATE options SET votes = ? WHERE name = ?", votes + 1, choice)

    # Display message indicating success
    return render_template("voted.html", option=option[0])

@app.route("/results")
def results():
    return "TODO"
